Subject: bug#55625: closed (Re: bug#55625: GNOME: totem controls not accessible)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 22 Oct 2024 09:32:02 +0000

Your bug report

#55625: GNOME: totem controls not accessible

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55625: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55625
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55625: GNOME: totem controls not accessible
From: Maxim Cournoyer <[email-masked]>
To: Roman Riabenko <[email-masked]>
Cc: [email-masked], Tobias Geerinckx-Rice <[email-masked]>, Maxime Devos <[email-masked]>
Date: Tue, 22 Oct 2024 18:30:11 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Roman Riabenko <[email-masked]> writes:

> Hello
>
> У сб, 2022-05-28 у 21:31 +0200, Maxime Devos пише:
>> Roman Riabenko schreef op za 28-05-2022 om 22:15 [+0300]:
>> > (totem:4116): libpeas-WARNING **: 22:05:01.766: Type not found in
>> > introspection: 'PeasActivatable'
>> > 
>> > (totem:4116): libpeas-WARNING **: 22:05:01.766: Method
>> > 'PeasActivatable.deactivate' was not found
>> 
>> ‘Activatable’ might mean buttons and such, maybe GI_TYPELIB_PATH
>> needs
>> to be added to the wrap-program in the package definition of 'totem'
>> like for some other GTK applications.
>
> (I looked at rhythmbox for an example.) When I add GI_TYPELIB_PATH to
> wrap-program, libpeas-WARNING stops appearing. Though I notice no other
> change. I also tried adding GUIX_PYTHONPATH as in rhythmbox, but I
> notice no effect. I attach an example output from terminal.

I've updated Totem to its latest commit, which fixed a problem with the
seek bar getting stuck, as well as added multiple inputs that should
bring it in line in terms of features with GNOME's official Flatpak
distribution of Totem.

Closing, but do reopen if some issues remain!

-- 
Thanks,
Maxim

Subject: GNOME: totem controls not accessible
From: Roman Riabenko <[email-masked]>
To: [email-masked]
Date: Wed, 25 May 2022 09:03:37 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello

When viewing a video in totem, totem controls in the botton are not
accessible with the mouse. It is possible to control the playback with
keyboard.

totem version 3.38.1
clutter version 1.26.2 in totem's dependencies per "guix show totem"

Roman